import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/service_time_period_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/service_time_period_entity.g.dart';

@JsonSerializable()
class ServiceTimePeriodEntity {
	@JSONField(name: "time_text")
	String? timeText;
	String? time;
	bool? urgent;
	bool? holiday;
	bool? night;
	bool? enable;

	ServiceTimePeriodEntity();

	factory ServiceTimePeriodEntity.fromJson(Map<String, dynamic> json) => $ServiceTimePeriodEntityFromJson(json);

	Map<String, dynamic> toJson() => $ServiceTimePeriodEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}